Package org.apache.qpid.proton.codec

# Class FloatType

java.lang.Object
org.apache.qpid.proton.codec.FloatType

All Implemented Interfaces:
  `AMQPType<Float>`, `PrimitiveType<Float>`

public class FloatType extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`FloatType.FloatEncoding`

## Method Summary

Modifier and Type
Method
Description
`Collection<FloatType.FloatEncoding>`
`getAllEncodings()`
`FloatType.FloatEncoding`
`getCanonicalEncoding()`
`FloatType.FloatEncoding`
`getEncoding(Float val)`
`Class<Float>`
`getTypeClass()`
`void`
`write(float f)`
`final void`
`write(Float val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<Float> getTypeClass()

### getEncoding

public FloatType.FloatEncoding getEncoding(Float val)

### getCanonicalEncoding

public FloatType.FloatEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<FloatType.FloatEncoding> getAllEncodings()

### write

public void write(float f)

### write

public final void write(Float val)

Specified by:
  `write` in interface `AMQPType<T>`